@mixin borderRadius {
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}

@mixin borderbottomRadius {
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
}

@mixin mainTitle {
    font-family: 'Montserrat';
    font-size: 16px;
    font-weight: bold;
    color: $blue;
    line-height: 15px;
}

@mixin menuItem {
    font-family: 'Georgia';
    font-style: italic;
    font-size: 18px;
    line-height: 18px;
    color: #FFF;
    padding: 15px 0;
    margin: 0 25px;
    position: relative;
	cursor: pointer;
	text-decoration: none; 
    &::after {
        display: block;
        position: absolute;
        left: 0; 
        width: 0;
        height: 2px;
        background-color: $white; 
        content: "";
        transition: width 0.4s ease-out; 
    }

    &:hover {
        &::after {
            width: 100%;
        }
    }

    &:focus {
        &::after {
            width: 100%;
        }
    }
}

@mixin headerTitle {
    font-family: 'Montserrat';
    font-size: 20px;
    line-height: 21px;
    color: $white;
    margin-bottom: 5px;
    margin-top: 5px;
    text-align: center;
    cursor: pointer;
    &:hover {
        -webkit-transform: scale(1.1);
        -ms-transform: scale(1.1);
        transform: scale(1.1);
    }
}

@mixin headerText {
    font-family: 'Montserrat';
    font-size: 12px;
    line-height: 15px;
    font-weight: bold;
    color: $white;
    margin: 0;
    text-align: center;
    cursor: pointer;
    &:hover {
        -webkit-transform: scale(1.1);
        -ms-transform: scale(1.1);
        transform: scale(1.1);
    }
}

@mixin linkItem {
    font-family: 'Tahoma';
    font-size: 13px;
    color: $white;
    font-weight: bold;
    text-decoration: none;
    position: relative;
    &::after {
        display: block;
        position: absolute;
        left: 0; 
        width: 0;
        height: 2px;
        background-color: $white; 
        content: "";
        transition: width 0.4s ease-out; 
    }

    &:hover {
        &::after {
            width: 100%;
        }
    }

    &:focus {
        &::after {
            width: 100%;
        }
    }
}

@mixin blockTitle {
    font-family: 'Montserrat';
    font-size: 20px;
    line-height: 21px;
    color: $blue;
}

@mixin pageTitle {
    font-family: 'Tahoma';
    font-size: 14px;
    color: $grey;
    font-weight: bold;
}

@mixin pageText {
    font-family: 'Tahoma';
    font-size: 14px;
    color: $grey;
    font-weight: normal;
}

@mixin linkTitle {
    font-family: 'Georgia';
    font-size: 20px;
    line-height: 21px;
    color: $blue;
    position: relative;
    &::after {
        display: block;
        position: absolute;
        left: 0;
        bottom: 0; 
        width: 0;
        height: 2px;
        background-color: $blue; 
        content: "";
        transition: width 0.4s ease-out; 
    }

    &:hover {
        &::after {
            width: 100%;
        }
    }

    &:focus {
        &::after {
            width: 100%;
        }
    }
}

@mixin blockName {
    font-family: 'Montserrat';
    color: $white;
    height: 45px;
    font-size: 18px;
    line-height: 39px;
    background-color: $pink;
    border-radius: 10px;
    height: 40px;
}

@mixin menuList {
    border-radius: 10px;
    height: 47px;
    background-color: $pink;
    margin-bottom: 15px;
    .item__link {
        @include menuItem;
    }
}

@mixin footerText {
    font-family: 'Arial';
    color: white;
    font-size: 11px;
    line-height: 14px;
}

@mixin cityLink {
    font-family: 'Georgia';
    font-size: 17px;
    line-height: 18px;
    font-weight: normal;
    color: $blue;
    position: relative;
    text-decoration: none;
    transition: 0.4s ease; 

    &::after {
        display: block;
        position: absolute;
        left: 0; 
        width: 0;
        height: 2px;
        background-color: $pink; 
        content: "";
        transition: width 0.4s ease-out; 
    }

    &:hover {
        color: $pink;
        &::after {
            width: 100%;
        }
    }

    &:focus {
        &::after {
            width: 100%;
        }
    }
}

@mixin textLink {
    color: $blue;
    text-decoration: none;
    transition: 0.4s ease; 
    position: relative;

    &::after {
        display: block;
        position: absolute;
        left: 0; 
        width: 0;
        height: 2px;
        background-color: $pink; 
        content: "";
        transition: width 0.4s ease-out; 
    }

    &:hover {
        color: $pink;
        &::after {
            width: 100%;
        }
    }

    &:focus {
        &::after {
            width: 100%;
        }
    }
}

@mixin adressLink {
    color: $blue;
    text-decoration: none;
    transition: 0.4s ease; 
    cursor: pointer;
    &:hover {
        color: $pink;
    }
}
